-- last updated 11-09-2019 (November 9)
dofile( "data/scripts/perks/perk.lua" )
dofile( "data/scripts/perks/perk_list.lua" )

function OnPlayerSpawned( player_entity ) -- this runs when player entity has been created

	if tonumber(StatsGetValue("playtime")) > 1 then -- this stops the mod from giving perks everytime you load your save
		return
	end

	local x,y = EntityGetTransform( player_entity )
	SetRandomSeed( x + 344, y - 523 )

--[[ list of perk ids ]]--
--[[
1   CRITICAL_HIT
2   BREATH_UNDERWATER
3   EXTRA_MONEY
4   EXTRA_MONEY_TRICK_KILL
5   HOVER_BOOST
6   MOVEMENT_FASTER
7   LOW_GRAVITY
8   SPEED_DIVER
9   STRONG_KICK
10  REPELLING_CAPE
11  EXPLODING_CORPSES
11  SAVING_GRACE
12  INVISIBILITY
13  GLOBAL_GORE
14  REMOVE_FOG_OF_WAR
15  VAMPIRISM
16  EXTRA_HP
17  HEARTS_MORE_EXTRA_HP
18  GLASS_CANNON
19  RESPAWN
21  WORM_ATTRACTOR
22  WORM_DETRACTOR
23  PROTECTION_FIRE
24  PROTECTION_RADIOACTIVITY
25  PROTECTION_EXPLOSION
26  PROTECTION_MELEE
27  PROTECTION_ELECTRICITY
28  TELEPORTITIS
29  STAINLESS_ARMOUR
30  EDIT_WANDS_EVERYWHERE
31  ABILITY_ACTIONS_MATERIALIZED
32  PROJECTILE_HOMING
33  PROJECTILE_HOMING_SHOOTER
34  FREEZE_FIELD
35  DISSOLVE_POWDERS
36  BLEED_SLIME
37  BLEED_OIL
38  SHIELD
39  REVENGE_EXPLOSION
40  REVENGE_TENTACLE
41  ATTACK_FOOT
42  PLAGUE_RATS
43  PROJECTILE_REPULSION
44  ELECTRICITY
45  ATTRACT_ITEMS
46  EXTRA_KNOCKBACK
47  LOWER_SPREAD
48  BOUNCE
49  MYSTERY_EGGPLANT
50  PERKS_LOTTERY
51  GENOME_MORE_HATRED
52  GENOME_MORE_LOVE
]]--

	local perk;
	for i,p in ipairs( perk_list ) do
		if (p.id == "EDIT_WANDS_EVERYWHERE") then -- change this name(id) to start with different perk
			perk = p;
			break
		end
	end
  
  local perk_entity = perk_spawn( x, y, perk.id )
	if ( perk_entity ~= nil ) then
		perk_pickup( perk_entity, player_entity, EntityGetName( perk_entity ), false, false )
		GamePrintImportant( GameTextGet( "$log_pickedup_perk", GameTextGetTranslatedOrNot( perk.ui_name ) ), perk.ui_description ) -- delete this line to remove in-game notification
	end
	
--[[ uncomment the code below to start the game with multiple perks ]]--
--	local perks = { 23, 24, 25, 26, 27 } -- add numbers to this array to add new perks at the start of the game
--	for i,p in ipairs( perks ) do 
--		local perk = perk_list[p]
--		local p_entity = perk_spawn( x, y, perk.id )
--		if ( p_entity ~= nil ) then
--			perk_pickup( p_entity, player_entity, EntityGetName( p_entity ), false, false )
--		end
--	end
end